/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for ClockfaceLocationOrRegionFromBI_RADS
 */
public enum EnumCM_ClockfaceLocationOrRegionFromBI_RADS 
{
	//CID 6019 Clockface Location or Region from BI-RADS
	ONE_OCLOCK_POSITION("1 oclock position"),
	TWO_OCLOCK_POSITION("2 oclock position"),
	THREE_OCLOCK_POSITION("3 oclock position"),
	FOUR_OCLOCK_POSITION("4 oclock position"),
	FIVE_OCLOCK_POSITION("5 oclock position"),
	SIX_OCLOCK_POSITION("6 oclock position"),
	SEVEN_OCLOCK_POSITION("7 oclock position"),
	EIGHT_OCLOCK_POSITION("8 oclock position"),
	NINE_OCLOCK_POSITION("9 oclock position"),
	TEN_OCLOCK_POSITION("10 oclock position"),
	ELEVEN_OCLOCK_POSITION("11 oclock position"),
	TWELVE_OCLOCK_POSITION("12 oclock position"),
	SUBAREOLAR_REGION("Subareolar region"),
	AXILLARY_TAIL_REGION("Axillary tail region"),
	CENTRAL_REGION_OF_BREAST("Central region of breast"),
	AXILLA_REGION("Axilla region");

	private String value;

	EnumCM_ClockfaceLocationOrRegionFromBI_RADS(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
